Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162068 - pidof: -x does not work as expected
Summary: pidof: -x does not work as expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: SysVinit
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-29 16:49 UTC by Bastien Nocera
Modified: 2014-03-17 02:54 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-510
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 20:00:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:510 qe-ready SHIPPED_LIVE SysVinit bug fix update 2005-09-28 04:00:00 UTC

Description Bastien Nocera 2005-06-29 16:49:50 UTC
The same still occurs on RHEL3 (but was fixed on RHEL4).

+++ This bug was initially created as a clone of Bug #85796 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
if i have the following process given by ps -efw
root      8484     1  0 15:34 pts/1    00:00:00 /usr/bin/python
/usr/local/bin/nodeinfo

in 8.0 i dont get the expected process id if i do pidof -x /usr/local/bin/nodeinfo: 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create a small script eg /usr/local/bin/nodeinfo in python 
2. run it with python /usr/local/bin/nodeinfo
3.Try to find process id using 
    pidof -x /usr/local/bin/nodeinfo

Actual Results:  in redhat 8.0
[root]# pidof -x /usr/local/bin/nodeinfo

[root]# 


Expected Results:  in redhat 7.3
[root]# pidof -x /usr/local/bin/nodeinfo
8484
root]# 


Additional info:

--

Comment 6 Red Hat Bugzilla 2005-09-28 20:00:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-510.html



Note You need to log in before you can comment on or make changes to this bug.